Bug 239215 - net-im/toxic: drop unused dependencies, unbreak PYTHON option
Summary: net-im/toxic: drop unused dependencies, unbreak PYTHON option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Andriy Voskoboinyk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-15 08:31 UTC by Andriy Voskoboinyk
Modified: 2019-07-18 08:44 UTC (History)
0 users

See Also:
avos: merge-quarterly+


Attachments
Makefile.diff (2.53 KB, patch)
2019-07-15 08:31 UTC, Andriy Voskoboinyk
koobs: maintainer-approval+
Details | Diff
Output of portlint -AC (283 bytes, text/plain)
2019-07-15 08:31 UTC, Andriy Voskoboinyk
no flags Details
Poudriere build logs (12-RELEASE on i386 and amd64) (7.68 KB, application/x-xz)
2019-07-15 08:33 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2019-07-15 08:31:03 UTC
Created attachment 205789 [details]
Makefile.diff

- Remove security/libsodium and audio/opus dependencies; the port does not reference nor links against them.
- Allow to use ncurses from base (if possible).
- Patch python3 detection to use proper pkgconfig/python3-config and bin/python3 paths.
- Move USES upper (portlint).
- Bump PORTREVISION.
Comment 1 Andriy Voskoboinyk freebsd_committer 2019-07-15 08:31:57 UTC
Created attachment 205790 [details]
Output of portlint -AC
Comment 2 Andriy Voskoboinyk freebsd_committer 2019-07-15 08:33:01 UTC
Created attachment 205791 [details]
Poudriere build logs (12-RELEASE on i386 and amd64)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-15 09:33:59 UTC
Comment on attachment 205789 [details]
Makefile.diff

Approved by: portmgr (blanket(s): dependencies, build fix(es))
MFH: 2019Q3
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-15 09:34:26 UTC
@Andriy These changes are blanket/implicitly approved. Feel free to assign yourself to commit/merge
Comment 5 commit-hook freebsd_committer 2019-07-16 06:57:31 UTC
A commit references this bug:

Author: avos
Date: Tue Jul 16 06:57:14 UTC 2019
New revision: 506727
URL: https://svnweb.freebsd.org/changeset/ports/506727

Log:
  net-im/toxic: drop unused dependencies, unbreak PYTHON option

  - Remove security/libsodium and audio/opus dependencies;
  the port does not reference nor links against them.
  - Allow to use ncurses from base (if possible).
  - Patch python3 detection to use proper pkgconfig/python3-config and
  bin/python3 paths.
  - Move USES upper (portlint).
  - Bump PORTREVISION.

  PR:		239215
  Approved by:	portmgr (blanket(s): dependencies, build fix(es))
  MFH:		2019Q3

Changes:
  head/net-im/toxic/Makefile
  head/net-im/toxic/files/patch-Makefile
Comment 6 commit-hook freebsd_committer 2019-07-18 08:40:29 UTC
A commit references this bug:

Author: avos
Date: Thu Jul 18 08:40:01 UTC 2019
New revision: 506842
URL: https://svnweb.freebsd.org/changeset/ports/506842

Log:
  MFH: r506727

  net-im/toxic: drop unused dependencies, unbreak PYTHON option

  - Remove security/libsodium and audio/opus dependencies;
  the port does not reference nor links against them.
  - Allow to use ncurses from base (if possible).
  - Patch python3 detection to use proper pkgconfig/python3-config and
  bin/python3 paths.
  - Move USES upper (portlint).
  - Bump PORTREVISION.

  PR:		239215
  Approved by:	portmgr (blanket(s): dependencies, build fix(es))

Changes:
_U  branches/2019Q3/
  branches/2019Q3/net-im/toxic/Makefile
  branches/2019Q3/net-im/toxic/files/patch-Makefile